Package org.flowable.cmmn.api.repository

# Interface CmmnDeploymentQuery

All Superinterfaces:
  `Query<CmmnDeploymentQuery,CmmnDeployment>`

public interface CmmnDeploymentQuery extends Query<CmmnDeploymentQuery,CmmnDeployment>
Allows programmatic querying of `CmmnDeployment`s. Note that it is impossible to retrieve the deployment resources through the results of this operation, since that would cause a huge transfer of (possibly) unneeded bytes over the wire. To retrieve the actual bytes of a deployment resource use the operations on the `CmmnRepositoryService.getDeploymentResourceNames(String)` and `CmmnRepositoryService.getResourceAsStream(String, String)`

Author:
  Tijs Rademakers, Joram Barrez

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CmmnDeploymentQuery`
  `deploymentCategory(String category)`
  Only select deployments with the given category.
  `CmmnDeploymentQuery`
  `deploymentCategoryNotEquals(String categoryNotEquals)`
  Only select deployments that have a different category then the given one.
  `CmmnDeploymentQuery`
  `deploymentId(String deploymentId)`
  Only select deployments with the given deployment id.
  `CmmnDeploymentQuery`
  `deploymentIds(List<String> deploymentIds)`
  Only select deployments with the given deployment ids.
  `CmmnDeploymentQuery`
  `deploymentKey(String key)`
  Only select deployments with the given key.
  `CmmnDeploymentQuery`
  `deploymentName(String name)`
  Only select deployments with the given name.
  `CmmnDeploymentQuery`
  `deploymentNameLike(String nameLike)`
  Only select deployments with a name like the given string.
  `CmmnDeploymentQuery`
  `deploymentTenantId(String tenantId)`
  Only select deployment that have the given tenant id.
  `CmmnDeploymentQuery`
  `deploymentTenantIdLike(String tenantIdLike)`
  Only select deployments with a tenant id like the given one.
  `CmmnDeploymentQuery`
  `deploymentWithoutTenantId()`
  Only select deployments that do not have a tenant id.
  `CmmnDeploymentQuery`
  `latest()`
  Only select deployments where the deployment time is the latest value.
  `CmmnDeploymentQuery`
  `orderByDeploymentId()`
  Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `CmmnDeploymentQuery`
  `orderByDeploymentName()`
  Order by deployment name (needs to be followed by `Query.asc()` or `Query.desc()`).
  `CmmnDeploymentQuery`
  `orderByDeploymentTime()`
  Order by deployment time (needs to be followed by `Query.asc()` or `Query.desc()`).
  `CmmnDeploymentQuery`
  `orderByTenantId()`
  Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `CmmnDeploymentQuery`
  `parentDeploymentId(String parentDeploymentId)`
  Only select deployment that have the given parent deployment id.
  `CmmnDeploymentQuery`
  `parentDeploymentIdLike(String parentDeploymentIdLike)`
  Only select deployments with a parent deployment id like the given one.
  `CmmnDeploymentQuery`
  `parentDeploymentIds(List<String> parentDeploymentIds)`
  Only select deployments with a parent deployment id that is the same as one of the given deployment identifiers.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### deploymentId

    CmmnDeploymentQuery deploymentId(String deploymentId)
    Only select deployments with the given deployment id.

  - ### deploymentIds

    CmmnDeploymentQuery deploymentIds(List<String> deploymentIds)
    Only select deployments with the given deployment ids.

  - ### deploymentName

    CmmnDeploymentQuery deploymentName(String name)
    Only select deployments with the given name.

  - ### deploymentNameLike

    CmmnDeploymentQuery deploymentNameLike(String nameLike)
    Only select deployments with a name like the given string.

  - ### deploymentCategory

    CmmnDeploymentQuery deploymentCategory(String category)
    Only select deployments with the given category.
    See Also:
      - `CmmnDeploymentBuilder.category(String)`

  - ### deploymentCategoryNotEquals

    CmmnDeploymentQuery deploymentCategoryNotEquals(String categoryNotEquals)
    Only select deployments that have a different category then the given one.
    See Also:
      - `CmmnDeploymentBuilder.category(String)`

  - ### deploymentKey

    CmmnDeploymentQuery deploymentKey(String key)
    Only select deployments with the given key.
    See Also:
      - `CmmnDeploymentBuilder.key(String)`

  - ### deploymentTenantId

    CmmnDeploymentQuery deploymentTenantId(String tenantId)
    Only select deployment that have the given tenant id.

  - ### deploymentTenantIdLike

    CmmnDeploymentQuery deploymentTenantIdLike(String tenantIdLike)
    Only select deployments with a tenant id like the given one.

  - ### deploymentWithoutTenantId

    CmmnDeploymentQuery deploymentWithoutTenantId()
    Only select deployments that do not have a tenant id.

  - ### parentDeploymentId

    CmmnDeploymentQuery parentDeploymentId(String parentDeploymentId)
    Only select deployment that have the given parent deployment id.

  - ### parentDeploymentIdLike

    CmmnDeploymentQuery parentDeploymentIdLike(String parentDeploymentIdLike)
    Only select deployments with a parent deployment id like the given one.

  - ### parentDeploymentIds

    CmmnDeploymentQuery parentDeploymentIds(List<String> parentDeploymentIds)
    Only select deployments with a parent deployment id that is the same as one of the given deployment identifiers.

  - ### latest

    CmmnDeploymentQuery latest()
    Only select deployments where the deployment time is the latest value. Can only be used together with the deployment key.

  - ### orderByDeploymentId

    CmmnDeploymentQuery orderByDeploymentId()
    Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByDeploymentName

    CmmnDeploymentQuery orderByDeploymentName()
    Order by deployment name (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByDeploymentTime

    CmmnDeploymentQuery orderByDeploymentTime()
    Order by deployment time (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByTenantId

    CmmnDeploymentQuery orderByTenantId()
    Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).